Isi
Indeks 🔎︎

# Fungsi AscW [VBA]

Mengembalikan nilai Unicode karakter pertama dalam ekspresi string.

Fungsi atau konstanta ini diaktifkan dengan pernyataan Opsi VBASupport 1 yang diletakkan pada kode program yang dapat dieksekusi dalam sebuah modul.

### Sintaksis:

    AscW (Text As String)

### Nilai balikan:

Bilangan bulat

### Parameter:

Teks: Ekspresi string apa pun yang valid. Hanya karakter pertama dalam string yang relevan.

Gunakan fungsi AscW untuk mengganti kunci dengan nilai Unicode. Jika fungsi AscW menemukan string kosong, LibreOffice Basic melaporkan kesalahan run-time. Nilai yang dikembalikan adalah antara 0 dan 65535.

## Kode kesalahan:

5 Tidak sah dalam pemanggilan prosedur

### Contoh:

    Sub ExampleAscW
     Print AscW("A") ' menghasilkan 65
     Print AscW("Ω") ' menghasilkan 937
     Cetak AscW("Αθήνα") ' mengembalikan 913, karena hanya karakter pertama (Alpha) yang diperhitungkan
    End Sub

Topik Terkait

Chr

ChrW

Asc